apt 2.9.16 commandline package manager

Public Member Functions | Public Attributes | List of all members
Solver::Work Struct Reference

A single work item. More...

`#include <apt-pkg/solver3.h>`

## Public Member Functions
bool | operator< (APT::Solver::Work const &b) const
void | Dump (pkgCache &cache)
| Work (Var reason, depth_type depth, Group group, bool optional=false, bool upgrade=false)

## Public Attributes
Var | reason
depth_type | depth
Group | group
std::vector< pkgCache::Version * > | solutions {}
union { |
pkgCache::Version * choice |
size_t size |
}; |  |
bool | optional
bool | upgrade
bool | erased

## Detailed Description

A single work item.

A work item is a positive dependency that still needs to be resolved. Work is ordered, by depth, length of solutions, and optionality.

The work can always be recalculated from the state by iterating over dependencies of all packages in there, finding solutions to them, and then adding all dependencies not yet resolved to the work queue.

The documentation for this struct was generated from the following files:

- apt-pkg/solver3.h
- apt-pkg/solver3.cc